csNullCacheManager Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csNullCacheManager Class Reference

This is a general cache that doesn't cache anything at all. More...

`#include <csutil/nulcache.h>`

Inheritance diagram for csNullCacheManager:

List of all members.

## Public Member Functions
virtual bool | CacheData (const void *data, size_t size, const char *type, const char *scope, uint32 id)
| Always returns false.
virtual bool | ClearCache (const char *type=0, const char *scope=0, const uint32 *id=0)
| Does nothing.
| csNullCacheManager ()
| Does nothing.
virtual void | Flush ()
| Does nothing.
virtual const char * | GetCurrentScope () const
| Always returns 0.
virtual const char * | GetCurrentType () const
| Always returns 0.
virtual bool | IsReadOnly () const
| Is the cache manager read-only?
virtual csPtr< iDataBuffer > | ReadCache (const char *type, const char *scope, uint32 id)
| Always returns 0.
virtual void | SetCurrentScope (const char *scope)
| Does nothing.
virtual void | SetCurrentType (const char *type)
| Does nothing.
virtual void | SetReadOnly (bool)
| Force the cache manager to be read-only.

## Detailed Description

This is a general cache that doesn't cache anything at all.

Definition at line 32 of file nulcache.h.

## Constructor & Destructor Documentation

csNullCacheManager::csNullCacheManager | ( |  | ) |

Does nothing.

## Member Function Documentation

virtual bool csNullCacheManager::CacheData | ( | const void * | data,
|  | size_t | size,
|  | const char * | type,
|  | const char * | scope,
|  | uint32 | id
| ) |  | `[virtual]`

Always returns false.

Implements iCacheManager.

virtual bool csNullCacheManager::ClearCache | ( | const char * | type = `0`,
|  | const char * | scope = `0`,
|  | const uint32 * | id = `0`
| ) |  | `[virtual]`

Does nothing.

Implements iCacheManager.

virtual void csNullCacheManager::Flush | ( |  | ) | `[inline, virtual]`

Does nothing.

Implements iCacheManager.

Definition at line 81 of file nulcache.h.

virtual const char* csNullCacheManager::GetCurrentScope | ( |  | ) | const`[inline, virtual]`

Always returns 0.

Implements iCacheManager.

Definition at line 62 of file nulcache.h.

virtual const char* csNullCacheManager::GetCurrentType | ( |  | ) | const`[inline, virtual]`

Always returns 0.

Implements iCacheManager.

Definition at line 54 of file nulcache.h.

virtual bool csNullCacheManager::IsReadOnly | ( |  | ) | const`[inline, virtual]`

Is the cache manager read-only?

Implements iCacheManager.

Definition at line 45 of file nulcache.h.

virtual csPtr<iDataBuffer> csNullCacheManager::ReadCache | ( | const char * | type,
|  | const char * | scope,
|  | uint32 | id
| ) |  | `[virtual]`

Always returns 0.

Implements iCacheManager.

virtual void csNullCacheManager::SetCurrentScope | ( | const char * | scope | ) | `[virtual]`

Does nothing.

Implements iCacheManager.

virtual void csNullCacheManager::SetCurrentType | ( | const char * | type | ) | `[virtual]`

Does nothing.

Implements iCacheManager.

virtual void csNullCacheManager::SetReadOnly | ( | bool | ro | ) | `[inline, virtual]`

Force the cache manager to be read-only.

This will prevent updates of the cache but CacheData() will still return true to indicate success.

Implements iCacheManager.

Definition at line 44 of file nulcache.h.

The documentation for this class was generated from the following file:

- csutil/nulcache.h